The following items are not supported or not valid SDKs

cancel
Showing results for 
Search instead for 
Did you mean: 

The following items are not supported or not valid SDKs

386 Views
Contributor III

After building my SDK using:

MCUXpresso SDK|NXP 

Then dragging and dropping said zip file into MCUXpresso I get the following message:

"The following items are not supported or not valid SDKs"

I verified the zip file was built for all platforms.

Is there anything else that I should have done?

Tags (1)
0 Kudos
5 Replies

81 Views
Contributor III

Hi Lukas,

Here's you can find the result of my request and manifest.xml at the following link:

https://www.evernote.com/l/AE-MLk0ko0lHIb4CELjZZlA9CcjqutEZ8s8 

I've included both the importable and non-importable versions for your reference.

0 Kudos

81 Views
NXP Employee
NXP Employee

Hi Jeff,

Thanks for sharing. Is it possible that you switched two packages by mistake? The FRDM-KE15Z_manifest.xml file you shared is not related to MKV31F512xxx12/FRDM-KV31F device/board, instead it contains data for MKE15Z256xxx7/FRDM_KE15Z.

Also please note that in case of existing SDK packages generated on MCUXpresso SDK web prior to March 22nd, these packages does not  support MCUXpresso IDE and has to be regenerated to be able to use them in the MCUXpresso IDE.

Regards,

Lukas

0 Kudos

81 Views
Contributor I

I see that USB stack is not selected on download

Immagine.jpg

this is config

pastedImage_2.png

now I will try to reset config and download again

0 Kudos

81 Views
NXP Employee
NXP Employee

Hello Jeff,

can you share the *_manifest.xml file from the root directory of the SDK package that failed to import into MCUXpresso IDE?

Thank you,

Lukas 

0 Kudos

81 Views
Contributor III

Aha... the IDE is confused unless MCUXpresso is the only platform in the zip file.

0 Kudos